Hello.

I just installed Ruby 1.8.6 from source and then stumbled upon the
following problem. Any ideas what might be causing this incorrect
behaviour?

jarmo@jarmo-laptop:~$ uname -a
Linux jarmo-laptop 2.6.32-22-generic #33-Ubuntu SMP Wed Apr 28 13:27:30
UTC 2010 i686 GNU/Linux
jarmo@jarmo-laptop:~$ date
Sat May 29 18:46:18 EEST 2010
jarmo@jarmo-laptop:~$ ruby -v
ruby 1.8.6 (2010-02-05 patchlevel 399) [i686-linux]
jarmo@jarmo-laptop:~$ ruby -e "require 'date'; puts Date.today"
2060--1-9785

Jarmo
-- 
Posted via http://www.ruby-forum.com/.